"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
var minimist_1 = __importDefault(require("minimist"));
var writeRouteFile_1 = __importDefault(require("aspida/dist/writeRouteFile"));
var watchInputDir_1 = __importDefault(require("aspida/dist/watchInputDir"));
var buildServerFile_1 = __importDefault(require("./buildServerFile"));
var cleanStaleRoutes_1 = __importDefault(require("./cleanStaleRoutes"));
var cleanAllStaleRoutes_1 = __importDefault(require("./cleanAllStaleRoutes"));
var run = function (args) {
    var argv = minimist_1.default(args, {
        string: ['version', 'watch', 'project'],
        alias: { v: 'version', w: 'watch', p: 'project' }
    });
    var dir = '.';
    if (argv.version !== undefined) {
        console.log("v" + require('../package.json').version);
    }
    else if (argv.watch !== undefined) {
        cleanAllStaleRoutes_1.default(dir);
        writeRouteFile_1.default(buildServerFile_1.default(dir, argv.project));
        watchInputDir_1.default(dir, function (event, file) {
            cleanStaleRoutes_1.default(dir, event, file);
            writeRouteFile_1.default(buildServerFile_1.default(dir, argv.project));
        });
    }
    else {
        cleanAllStaleRoutes_1.default(dir);
        writeRouteFile_1.default(buildServerFile_1.default(dir, argv.project));
    }
};
exports.run = run;
//# sourceMappingURL=index.js.map